GraphUI (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.plaf.GraphUI class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.plaf
Class GraphUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          org.jgraph.plaf.GraphUI

Direct Known Subclasses:
  BasicGraphUI

public abstract class GraphUI
extends ComponentUI

Pluggable look and feel interface for JGraph.

Constructor Summary
`GraphUI()`

Method Summary
`abstract void` | `cancelEditing(JGraph graph)` Cancels the current editing session.
`abstract int` | `getDropAction()` Returns the current drop action.
`abstract Object` | `getEditingCell(JGraph graph)` Returns the cell that is being edited.
`abstract CellHandle` | `getHandle()` Returns the `CellHandle` that is currently active, or `null` if no handle is active.
`abstract Point` | `getInsertionLocation()` Returns the insertion location for DnD operations.
`abstract Dimension2D` | `getPreferredSize(JGraph graph, CellView view)` Returns the preferred size for `view`.
`abstract boolean` | `isEditing(JGraph graph)` Returns true if the graph is being edited.
`abstract void` | `paintCell(Graphics g, CellView view, Rectangle2D bounds, boolean preview)` Paints the renderer of `view` to `g` at `bounds`.
`abstract void` | `paintPorts(Graphics g, CellView[] portViews)` Paints the renderers of `portViews` to `g`.
`abstract void` | `selectCellsForEvent(JGraph graph, Object[] cells, MouseEvent event)` Messaged to update the selection based on a MouseEvent for a group of cells.
`abstract void` | `setInsertionLocation(Point p)` Sets the current location for Drag-and-Drop activity.
`abstract void` | `startEditingAtCell(JGraph graph, Object cell)` Selects the cell and tries to edit it.
`abstract boolean` | `stopEditing(JGraph graph)` Stops the current editing session.
`abstract void` | `updateHandle()` Updates the handle.

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphUI

    public GraphUI()

Method Detail

### paintCell

    public abstract void paintCell(Graphics g,
                                   CellView view,
                                   Rectangle2D bounds,
                                   boolean preview)

  Paints the renderer of `view` to `g` at `bounds`.

### paintPorts

    public abstract void paintPorts(Graphics g,
                                    CellView[] portViews)

  Paints the renderers of `portViews` to `g`.

### selectCellsForEvent

    public abstract void selectCellsForEvent(JGraph graph,
                                             Object[] cells,
                                             MouseEvent event)

  Messaged to update the selection based on a MouseEvent for a group of cells. If the event is a toggle selection event, the cells are either selected, or deselected. Otherwise the cells are selected.

### getPreferredSize

    public abstract Dimension2D getPreferredSize(JGraph graph,
                                                 CellView view)

  Returns the preferred size for `view`.

### getHandle

    public abstract CellHandle getHandle()

  Returns the `CellHandle` that is currently active, or `null` if no handle is active.

### isEditing

    public abstract boolean isEditing(JGraph graph)

  Returns true if the graph is being edited. The item that is being edited can be returned by getEditingCell().

### stopEditing

    public abstract boolean stopEditing(JGraph graph)

  Stops the current editing session. This has no effect if the graph isn't being edited. Returns true if the editor allows the editing session to stop.

### cancelEditing

    public abstract void cancelEditing(JGraph graph)

  Cancels the current editing session. This has no effect if the graph isn't being edited. Returns true if the editor allows the editing session to stop.

### startEditingAtCell

    public abstract void startEditingAtCell(JGraph graph,
                                            Object cell)

  Selects the cell and tries to edit it. Editing will fail if the CellEditor won't allow it for the selected item.

### getEditingCell

    public abstract Object getEditingCell(JGraph graph)

  Returns the cell that is being edited.

### setInsertionLocation

    public abstract void setInsertionLocation(Point p)

  Sets the current location for Drag-and-Drop activity. Should be set to null after a drop.

### getInsertionLocation

    public abstract Point getInsertionLocation()

  Returns the insertion location for DnD operations.

### updateHandle

    public abstract void updateHandle()

  Updates the handle.

### getDropAction

    public abstract int getDropAction()

  Returns the current drop action.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.